Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.query
Class ProductItemQueryImpl

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.service.query.CatalogQueryImpl
          com.beasys.commerce.ebusiness.catalog.service.query.ProductItemQueryImpl

All Implemented Interfaces
  CatalogQuery, ProductItemQuery, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ProductItemQueryImpl

extends CatalogQueryImpl
implements ProductItemQuery

Implementation class for the `ProductItemQuery` interface.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.service.query.CatalogQuery
`ALL_RESULTS`

Constructor Summary
`ProductItemQueryImpl()` Deprecated See BEA Commerce product offering

Method Summary
`Expression` | `getExpression()` Deprecated See BEA Commerce product offering
`Expression` | `getP13nExpression()` Deprecated See BEA Commerce product offering
`void` | `setExpression(Expression expression)` Deprecated See BEA Commerce product offering
`void` | `setExpression(Expression expression)` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.query.CatalogQueryImpl
`getMaxSearchResults, setMaxSearchResults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.service.query.CatalogQuery
`getMaxSearchResults, setMaxSearchResults`

Constructor Detail

### ProductItemQueryImpl

    public ProductItemQueryImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### getExpression

    public Expression getExpression()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemQuery`
  Retrieves the expression associated with this query.

  Specified by:
    `getExpression` in interface `ProductItemQuery`

### setExpression

    public void setExpression(Expression expression)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemQuery`
  Associates an expression with this query.

  Specified by:
    `setExpression` in interface `ProductItemQuery`
  Parameters
    `expression` - The expression to associated with this query.

### setExpression

    public void setExpression(Expression expression)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemQuery`
  Associates an expression with this query.

  Specified by:
    `setExpression` in interface `ProductItemQuery`
  Parameters
    `expression` - The expression to associated with this query.

### getP13nExpression

    public Expression getP13nExpression()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemQuery`
  Retrieves the expression associated with this query.

  Specified by:
    `getP13nExpression` in interface `ProductItemQuery`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved